Get Supported Channels

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Gets the payment channels available to a customer, by phone number or email.

Request:

Query ParameterTypeDescription
businessIdIntegerIgnored when you use API keys. See Authentication
phoneNumberString(Digits)Phone number to get channels for. Send phoneNumber or email
emailStringEmail to get channels for. Send phoneNumber or email

Example request

curl --location 'https://api.myvendy.com/transactions/channels?phoneNumber=2348012345678' \
--header "AccessKey: $VENDY_ACCESS_KEY" \
--header "SecretKey: $VENDY_SECRET_KEY"

Response:

FieldTypeDescription
statusBooleanStates if request was successfully executed or not
codeIntegerInternal code, success if 200
msgStringA description of the status of the request
dataJsonArrayAvailable payment methods for the customer

Example response

{
    "status": true,
    "code": 200,
    "msg": "Channels",
    "data": [
        {
            "pay_wallet": true
        },
        {
            "payment_card": true
        }
    ]
}
Query Params
string

Customer phone number with country code. Send phoneNumber or email.

int32

Required when you call with a dashboard session token. With AccessKey/SecretKey it is ignored: the business comes from the key.

string

Customer email. Send phoneNumber or email.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json